Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy Class Reference

Inheritance diagram for TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy

[legend]
Collaboration diagram for TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy ( TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, const CORBA::PolicyType & policy_type, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual Dynamic::ParameterList* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList* | exceptions ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual CORBA::Any* | result ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
void | result (CORBA::Policy_ptr result)
## Private Methods
| TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy (const TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy &)
void | operator= (const TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy &)
## Private Attributes
const CORBA::PolicyType& | policy_type_
CORBA::Policy_ptr | _result

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy ( | TAO_GIOP_Invocation * _tao_invocation,
| CORBA::Object_ptr _tao_target,
| const CORBA::PolicyType & policy_type,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy ( | const TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy & )`[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

Dynamic::ExceptionList * TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::exceptions ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::operator= ( | const TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy & )`[private]`

void TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::result ( | CORBA::Policy_ptr result )

CORBA::Any * TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::result ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

CORBA::Policy_ptr TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::_result`[private]`

const CORBA::PolicyType & TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy::policy_type_`[private]`

The documentation for this class was generated from the following file:

- DomainC.cpp